.header {
    min-height: 60px;
    background-color: var(--accent-color);
    padding: 20px 0;
    display: flex;
    align-items: center;
}
.header-box {
    height: 100%;
    display: grid;
    grid-template-columns: 1fr 2fr 1fr;
    grid-template-areas: "logo menu call";
    gap: 10px;
    align-items: center;
}
.header-logo {
    grid-area: logo;
}
.header-logo img {
    height: 38px;
}
.header-address {
    text-align: center;
    font-size: 14px;
}
.address-btn {
    width: 100%;
    background-color: transparent;
    color: var(--white);
    padding: 5px;
    font-family: var(--font-family);
    font-size: 18px;
    border: none;
}
.addresses {
    position: relative;
    display: inline-block;
    width: 100%;
}
.address-list {
    position: absolute;
    background-color: var(--accent-color);
    width: 100%;
    border-radius: 0px 0px 10px 10px;
    box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
    z-index: 1;
    
    max-height:0px;
    overflow:hidden;
    -webkit-transition:max-height 0.4s linear;
    -moz-transition:max-height 0.4s linear;
    transition:max-height 0.4s linear;
}
.address-list a {
    color: var(--white);
    padding: 12px 16px;
    text-decoration: none;
    display: block;
}
.address-list a:hover {
    color: var(--light-gray);
}
.addresses:hover .address-list {
    max-height:300px;
}


.header-controls {
    display: flex;
    align-items: flex-end;
    flex-direction: column;
    gap: 0px;
    grid-area: call;
}
.header-phone {
    font-size: 20px;
}
.header-call {
    padding: 0;
    background-color: transparent;
    color: var(--platinum);
    font-family: var(--font-family);
    font-size: 15px;
    border: none;
    outline: none;
    cursor: pointer;
}

.header-burger, .header-space {
    display: none;
}

.burger-checkbox {
    position: absolute;
    visibility: hidden;
}
.burger {
    position: relative;
    z-index: 10;
    cursor: pointer;
    display: block;
    position: relative;
    border: none;
    background: transparent;
    width: 30px;
    height: 20px;
}
.burger::before,
.burger::after {
    content: '';
    left: 0;
    position: absolute;
    display: block;
    width: 100%;
    height: 2px;
    border-radius: 10px;
    background: var(--white);
}
.burger::before {
    top: 0;
    box-shadow: 0 9px 0 var(--white);
    transition: box-shadow .3s .15s, top .3s .15s, transform .3s;
}
.burger::after {
    bottom: 0;
    transition: bottom .3s .15s, transform .3s;
}
.burger-checkbox:checked + .burger::before {
    top: 11px;
    transform: rotate(45deg);
    box-shadow: 0 6px 0 rgba(0,0,0,0);
    transition: box-shadow .15s, top .3s, transform .3s .15s;
}
.burger-checkbox:checked + .burger::after {
    bottom: 7px;
    transform: rotate(-45deg);
    transition: bottom .3s, transform .3s .15s;
}
.header-burger-list {
    position: absolute;
    top: 66px;
    right: 0;
    display: flex;
    flex-direction: column;
    height: 0;
    width: 100%;
    visibility: hidden;
    gap: 8px;
    margin: 0;
    padding-bottom: 0px;
    background-color: var(--accent-color);
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    border-top: 2px white solid;
    box-shadow: 0 10px 20px 0 rgba(0, 0, 0, 0.2);
    list-style-type: none;
    overflow: hidden;
    -webkit-transition: all 0.4s linear;
    -moz-transition: all 0.4s linear;
    transition: all 0.4s linear;
    z-index: 9;
}
.header-burger-item {
    display: block;
    padding: 8px;
    color: var(--white);
    font-size: 20px;
    font-weight: 400;
    text-align: center;
    text-decoration: none;
}
.header-burger-item-first {
    padding-top: 60px;
}
.header-burger-item:hover {
    background-color: rgba(255,255,255,.2)
}
.burger-checkbox:checked ~ .header-burger-list {
    visibility: visible;
    height: auto;
    padding-bottom: 60px;
}
.burger-phones {
    padding-top: 60px;
    padding-bottom: 20px;
}
.burger-phone {
    display: block;
    line-height: 150%;
}
.burger__btn {
    display: block;
    width: fit-content;
    margin: 0 auto;
    background-color: var(--platinum);
    color: var(--accent-color);
    font-size: 20px;
    font-weight: 400;
}
@media (max-width: 1000px) {
    .header-box {
        grid-template-areas: "logo call menu";
    }
    .header-space {
        display: block;
    }
    .header-burger {
        display: flex;
        justify-content: end;
        grid-area: menu;
    }
    .header-controls {
        align-items: center;
    }
}

@media (max-width: 410px) {
    .header-logo img {
        height: 25px;
    }
    .header-phone {
        font-size: 18px;
    }
}